using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace PCUT.Entities
{
    public class FileData
    {
        [JsonProperty("_id")]
        public string Id { get; set; }
        [JsonProperty("filename")]
        public string Filename { get; set; }

        [JsonProperty("url")]
        public string Url { get; set; }

        [JsonProperty("createdBy")]
        public string CreatedBy { get; set; }

        [JsonProperty("updatedAt")]
        public DateTime UpdatedAt { get; set; }

        [JsonProperty("createdAt")]
        public DateTime CreatedAt { get; set; }

        [JsonProperty("__v")]
        public int Version { get; set; }
    }
}
